<?php
/**
 * This script is used to run the XL Vask module's cron tasks.
 * It is run as a cron job.
 *
 * index.php runs this script.
 */

// prevent direct access

use classes\xlvask;

if (!defined('WD')) {
    exit;
}
$start = microtime(true);
// Load the XL Vask module
$xlvask = new xlvask;
try {
    // Check if the module is enabled
    if ($xlvask->config->enabled->isTrue()) {
        // Check if synchronization is enabled
        if ($xlvask->config->synchronization_enabled->isTrue()) {
            $xlvask->getTasks()->runCronTasks();
            // TODO: Add synchronization for:
            // - usageLogs
            // - vehicles
        } else {
            // Synchronization is not enabled, do nothing
        }
    } else {
        // The module is not enabled, do nothing
    }
} catch (Exception $e) {
    // This is automatically running, so we don't need to log the error
}
$end = microtime(true);
//$slack = new \classes\slack();
//$slack->send_message("The booking sync script has finished. It took " . round($end - $start, 2) . " seconds to run.");